System.Web 2.0.0.0 System.Web.UI.Adapters.ControlAdapter

The class is an abstract class that adapts a Web page for a specific class of browsers, defined by the markup language that the browser uses (for example, HTML or XHTML). Much of the adaptability in rendering behavior can be encapsulated in the specialized text writer classes that derive from the class, so it is not always necessary to provide a page adapter.

Most members of derived page adapters are called from the class or from control adapters. First, the class or control adapters detect the presence of the derived page adapter, and then call the member, or provide the functionality if the page adapter is not present.

The members of the class provide the following functionality:

The and properties define additional HTTP headers and HTTP GET and POST parameters that can be used to vary caching. They are called during cache initialization from the class.

The method returns an object that can be used to persist the combined view and control states of the page. It is referenced from the property if a derived page adapter is present.

The method provides a DHTML code fragment that can be used to reference forms in scripts.

The method returns a collection of the postback variables if the page is in postback. It is called by the .NET Framework instead of the method if a derived page adapter is present.

The and methods are used by control adapters to render hyperlinks if a derived page adapter is present.

The method renders a hyperlink or postback client tag that can submit the form.

The and methods are used by radio button control adapters to reference the other controls in a radio button group.

The property provides access to the combined control and view states of the object through the internal ClientState property of the class.

The method is used by control adapters to perform device-specific text transformation.

Adapts a Web page for a specific browser and provides the base class from which all page adapters inherit, directly or indirectly.

- Constructor

  The .NET Framework constructs this adapter internally when it creates the corresponding class or derived class.

  Initializes a new instance of the class.

  2.0.0.0
- Property
  System.Collections.Specialized.StringCollection To be added.

  Entities on the Web that cache Web pages cache multiple versions, based on the HTTP headers and other factors. For example, a version for each language in which a page is generated is typically cached, based on the Accept-Language HTTP header.

  For specific browsers, it might be necessary to vary caching by HTTP headers in addition to the headers that control target-independent caching. For example, it might be necessary to cache different versions of a page for different screen sizes.

  The header names returned by the property are added to the list of headers on the Vary HTTP header sent to the client browser.

  Gets a list of additional HTTP headers by which caching is varied for the Web page to which this derived page adapter is attached.

  2.0.0.0
- Property
  System.Collections.Specialized.StringCollection To be added.

  Entities on the Web that cache Web pages cache multiple versions based on, among other factors, the request parameters. For example, a version for each store location within a retail chain for which a page might be generated would typically be cached based on the parameter name (for example, StoreID).

  For specific browsers, it might be necessary to vary caching by GET or POST parameters in addition to the parameters that control target-independent caching. For example, it might be necessary to cache different versions of a page for different mobile phone service providers.

  Gets a list of additional parameters from HTTP GET and POST requests by which caching is varied for the Web page to which this derived page adapter is attached.

  2.0.0.0
- Property
  System.String To be added.

  The property provides access to the internal ClientState property of the class.

  View state data stored by the object in the internal ClientState property of will always be saved in the hidden field on the Web page.

  Gets an encoded string that contains the view and control states data of the Web page to which this derived page adapter is attached.

  2.0.0.0
- Method
  System.Collections.Specialized.NameValueCollection

  The method returns one of the following collections:

  Form variables if the HTTP data transfer method is POST.

  Query string variables if the HTTP method is GET.

  Determines whether the Web page is in postback and returns a name/value collection of the postback variables.

  A of the postback variables, if any; otherwise null.

  2.0.0.0
- Method
  2.0.0.0
  System.String `` To be added.

  The method provides a DHTML reference to the postback form. The code fragment has the following format:

  document.forms['']

  Returns a DHTML code fragment that the client browser can use to reference the form on the page that was posted.

  A with a reference to the form on the page that was posted.

- Method
  System.Collections.ICollection ``

  Radio button control adapters use the and methods to reference the other controls in the group.

  Retrieves a collection of radio button controls specified by .

  An of controls that make up .

  A that is the name of the group to retrieve. 2.0.0.0
- Method
  System.Web.UI.PageStatePersister

  The property uses the method to return the object, derived from the class, that forms and extracts the combined control and view states for the page. If there is no derived page adapter attached to the page, a object is used to maintain the state in a hidden field on the page.

  Link type

  Resulting link

  Code Entity Reference,cer

  Code Entity Reference Qualified, cerq

  Code Entity Reference Specific,cers

  Code Entity Reference Qualified Specific, cerqs

  Returns an object that is used by the Web page to maintain the control and view states.

  An object derived from that supports creating and extracting the combined control and view states for the .

  2.0.0.0
- Method
  System.Void ``

  The class uses a object to maintain a list of radio button groups. Each element in is a collection of the controls in a radio button group. The method adds a control to the appropriate collection, creating the collection if it does not already exist, and creating if there are no previously registered controls.

  Radio button control adapters use the and methods to reference the other controls in a radio button group.

  Adds a radio button control to the collection for a specified radio button group.

  The to add to the collection. 2.0.0.0
- Method
  System.Void `` `` `` `` To be added. To be added.

  The method writes an opening hyperlink tag. When is , this tag has the following format:

  <a href="">

  Renders an opening hyperlink tag that includes the target URL to the response stream.

  The value holding the target URL of the link. true to use to encode the stream output; otherwise, false. 2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added. To be added.

  The method writes an opening hyperlink tag. When is an object, this tag has the following format:

  <a href="" accessKey="">

  Renders an opening hyperlink tag that includes the target URL and an access key to the response stream.

  The value holding the target URL of the link. true to use to encode the stream output; otherwise, false. The value to assign to the accessKey attribute of the link to create. 2.0.0.0
- Method
  System.Void `` To be added.

  The method writes a closing hyperlink tag. When the text writer is an object, this tag has the following format:

  </a>

  Renders a closing hyperlink tag to the response stream.

  2.0.0.0
- Method
  System.Void `` `` `` `` `` To be added. To be added.

  The method writes a postback event as a scriptless hyperlink.

  Renders a postback event into the response stream as a hyperlink, including the encoded and possibly encrypted view state, and event target and argument.

  The value holding the postback event target name. The value holding the argument to pass to the postback target event. The value of the text to display as the link. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` To be added. To be added.

  The method writes a postback event as a scriptless hyperlink, including the possibly chunked view state, __EVENTTARGET, __EVENTARGUMENT, __PREVIOUSPAGE= parameters, and an accessKey="" attribute.

  View state is encrypted if the enableViewStateMac attribute of the <pages> configuration element is set to true.

  Renders a postback event into the response stream as a hyperlink, including the encoded and possibly encrypted view state, an event target and argument, a previous-page parameter, and an access key.

  The value holding the postback event target name. The value holding the argument to pass to the postback target event. The value of the text to display as the link. The value holding the URL target page of the postback. The value used to assign to the accessKey attribute of the created link. 2.0.0.0
- Method
  System.Void `` `` `` `` `` `` `` `` To be added. To be added.

  The method writes a postback event as a scriptless hyperlink, including the possibly chunked view state, __EVENTTARGET=, __EVENTARGUMENT=, __PREVIOUSPAGE= parameters, and an accessKey="" attribute.

  Renders a postback event into the response stream as a hyperlink, including the encoded view state, an event target and argument, a previous-page parameter, and an access key.

  The value holding the postback event target name. The value holding the argument to pass to the postback target event. The value of the text to display as the link. The value holding the URL target page of the postback. The value to assign to the accessKey attribute of the created link. true to use &amp; as the URL parameter separator; false to use &. 2.0.0.0
- Method
  System.String ``

  The method can be used, for example, to transform tab characters (\t) into line breaks (\n).

  The base method returns unchanged.

  Transforms text for the target browser.

  A that contains the transformed text.

  A that is the text to transform. 2.0.0.0